Logo Help Center

Supported Web browsers for the Elvis 4 Web Client

Supported Web browsers for the Elvis 4 Web Client

The Elvis Web Client is used for accessing Elvis DAM through a Web browser.

The following Web browsers are supported:

 ChromeSafariInternet ExplorerMicrosoft EdgeFirefox
Pro Client Latest version Version 6 or higher Version 11 or higher Latest version Latest version
Share Client Latest version Version 6 or higher Version 10 or higher1 Latest version Latest version
Basic Web Client Latest version Version 6 or higher Version 10 or higher Latest version Latest version

1 Version 11 or higher is required when the Shared link is created in the Pro Web Client.

Was this article helpful?
0 out of 0 found this helpful / Created: / Updated:
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.